<template>
  <q-card style="min-width: 100px;">
    <q-card-section>
      <q-range
        v-model="range"
        :min="min"
        :max="max"
        label
        />
      <q-input
        v-model.number="range.min"
        label="Min"
        :rules="rules.min"
      />
      <q-input
        v-model.number="range.max"
        label="Max"
        :rules="rules.max"
      />
      <q-btn label="Randomize" @click="randomize"/>
      {{ result }}
    </q-card-section>
  </q-card>
</template>

<script lang="ts" setup>
import useIntRandomizer from "components/IntegerRandomizer";
import {defineProps} from "vue";

const props = defineProps<{
  minVal: number,
  maxVal: number
}>();
const {min, max, range, randomize, result, rules} = useIntRandomizer(props.minVal, props.maxVal);

</script>
